|  | Home | Documentation | saml2__SubjectConfirmationDataType Struct Reference updated Wed Apr 5 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__SubjectConfirmationDataType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationDataType is a complexType with complexContent restriction of XSD type xs:anyType. More...

`#include <saml2.h>`

## Public Attributes
time_t * | NotBefore
time_t * | NotOnOrAfter
| Attribute "NotOnOrAfter" of XSD type xs:dateTime. More...
char * | Recipient
| Attribute "Recipient" of XSD type xs:anyURI. More...
char * | InResponseTo
| Attribute "InResponseTo" of XSD type xs:NCName. More...
char * | Address
| Attribute "Address" of XSD type xs:string. More...
_XML | __mixed
| Catch mixed content in XML string. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationDataType is a complexType with complexContent restriction of XSD type xs:anyType.

struct saml2__SubjectConfirmationDataType operations:

- soap_default_saml2__SubjectConfirmationDataType(soap*, saml2__SubjectConfirmationDataType*) reset members to default
- int soap_read_saml2__SubjectConfirmationDataType(soap*, saml2__SubjectConfirmationDataType*) deserialize from a source
- int soap_write_saml2__SubjectConfirmationDataType(soap*, saml2__SubjectConfirmationDataType*) serialize to a sink
- saml2__SubjectConfirmationDataType* soap_dup_saml2__SubjectConfirmationDataType(soap*, saml2__SubjectConfirmationDataType* dst, saml2__SubjectConfirmationDataType <em>src) returns deep copy of saml2__SubjectConfirmationDataType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__SubjectConfirmationDataType(saml2__SubjectConfirmationDataType) deep deletes saml2__SubjectConfirmationDataType data members, use only on dst after soap_dup_saml2__SubjectConfirmationDataType(NULL, saml2__SubjectConfirmationDataType *dst, saml2__SubjectConfirmationDataType *src) (use soapcpp2 -Ed)

## Member Data Documentation

_XML saml2__SubjectConfirmationDataType::__mixed

Catch mixed content in XML string.

Todo:

  <anyAttribute namespace="##other">.

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute. Use wsdl2h option -d for xsd__anyAttribute DOM (soap_dom_attribute).

  This mixed content complexType is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element).

char* saml2__SubjectConfirmationDataType::Address

Attribute "Address" of XSD type xs:string.

Optional attribute.

char* saml2__SubjectConfirmationDataType::InResponseTo

Attribute "InResponseTo" of XSD type xs:NCName.

Optional attribute.

time_t* saml2__SubjectConfirmationDataType::NotBefore

Todo:

  <any namespace="##any" minoccurs="0" maxoccurs="unbounded">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "NotBefore" of XSD type xs:dateTime.

Optional attribute.

time_t* saml2__SubjectConfirmationDataType::NotOnOrAfter

Attribute "NotOnOrAfter" of XSD type xs:dateTime.

Optional attribute.

char* saml2__SubjectConfirmationDataType::Recipient

Attribute "Recipient" of XSD type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h